/merchant/invoices/:idRetrieve an Invoice by ID
getMerchantInvoicesByIdV1https://a-api.coinpayments.net/api/v1/merchant/invoices/:idRequest
path · query parametersidstringpathInvoice id
include_full_detailsbooleanqueryIndicates whether to return information about Merchant, Metadata, Notes to recipient and email delivery settings
Responses
200 · 401 · 403List of goods or services with a statement of the sum due provided by the merchant, that a buyer intends to purchase
idstringnullablethe CoinPayments id for the invoice
invoiceIdstringnullablethe optional API caller provided external invoice number. Appears in screens shown to the Buyer and emails sent.
invoiceIdSuffixstringnullablethe optional numeric suffix for the CoinPayments.Services.Merchants.Dtos.InvoiceResponseDto.InvoiceId. Used when the invoice is emailed to multiple customers
createdstringthe timestamp when the invoice was created
date-timeinvoiceDatestringthe date of the invoice, either the system created date or custom date specified by the merchant
date-timedueDatestringnullableoptional due date of the invoice
date-timeconfirmedstringnullablethe timestamp when the invoice was confirmed (paid)
date-timecompletedstringnullablethe timestamp when the invoice was completed (paid out to the merchant and CoinPayments fees)
date-timecancelledstringnullablethe timestamp when the invoice was manually cancelled. Applicable for payment invoices only
date-timeexpiresstringnullablethe timestamp when the invoice expires. Applicable for checkout and POS invoices only
date-timecurrencyunknownnullablethe currency the invoice is in
merchantunknownnullablethe merchant the invoice is for
merchantOptionsunknownnullableoptions to show/hide merchant information on an invoice, or include additional merchant information specific to an invoice
buyerunknownnullablethe buyer information, if not provided it will be requested during payment so that refunds can be sent if there is a problem with the payment.
descriptionstringnullablethe purchase description
customIdstringnullablethe API caller provided external ID for the item. Appears on the Merchant dashboard and reports only.
skustringnullablethe stock keeping unit (SKU) of the item
namestringthe name or title of the item
descriptionstringnullablethe detailed description of the item
quantityunknownthe quantity of the item. Must be greater than 0 and less than 999,999,999
originalAmountunknownnullablethe original total price of the item if CoinPayments.Services.Merchants.Dtos.LineItemDto.Amount represents a discounted price
amountunknownnullablethe subtotal price of the item (note: this is not a per unit price but the total price for the total quantity)
taxunknownnullablethe total taxes charged on this item
amountunknownthe total amount of the invoice, with an optional breakdown that provides details, such as the total item amount, total tax amount, shipping, handling, insurance and discounts, if any
shippingunknownnullablethe shipping method and address
customDataobjectnullableany custom data the caller wishes to attach to the invoice which will be sent back in notifications
statusunknownthe status of the invoice (including payments received and payments confirmed)
requireBuyerNameAndEmailbooleannullableflag indicating whether a buyer name and email are required, they will be requested at checkout if not provider by the caller. The CoinPayments.Services.Merchants.Dtos.InvoiceResponseDto.BuyerDataCollectionMessage will be displayed to the buyer when prompted.
buyerDataCollectionMessagestringnullablethe message to display when collecting buyer user data
notesstringnullablenotes for the merchant only, these are not visible to the buyers
notesToRecipientstringnullableany additional information to share with the buyer about the transaction
termsAndConditionsstringnullableany terms and conditions, e.g. a cancellation policy
emailDeliveryunknownnullablethe invoice email delivery options if the invoice is to be emailed
isEmailDeliverybooleanindicates if invoice was delivered by email or to be delivered by email
metadataunknownnullablethe invoice metadata, the integration and host where the invoice was created
poNumberstringnullableThe merchant's purchase order (PO) number for the invoice. Must be unique per merchant
payoutDetailsunknownnullableProvides details related to the payouts associated with the invoice.
expectedAmountunknownExpected invoice amount in payment currency
nativeExpectedAmountunknownExpected invoice amount in merchant's native currency (e.g. 'USD', 'EUT', etc.)
actualAmountunknownConfirmed invoice amount in payment currency
nativeActualAmountunknownConfirmed invoice amount in merchant's native currency (e.g. 'USD', 'EUT', etc.)
paymentAddressstringnullableInvoice payment address
errorCodeunknownnullableSettlement error code. See CoinPayments.Common.InvoicePaymentHotWallets.Enums.InvoicePaymentSettlementModeErrorModel
feesunknownPayment-related fees
nativeFeesunknownPayment-related fees in merchant's native currency
payoutunknownnullableRepresents a summarized data transfer object for a merchant payout, containing information such as payout scheduling, completion details, associated blockchain transactions, wallet identifiers, and execution timelines.
nativePayoutunknownnullableThe same info as in CoinPayments.Services.Merchants.Dtos.MerchantPaymentSummaryDto.Payout but in merchant's native currency (e.g. 'USD', 'EUT', etc.)
refundEmailstringnullableBuyer's email to receive a refund link
stateunknownCurrent payment state
isActivebooleanShows whether the payment is active or not
pendingAtstringnullableThe date and time when the payment received money from a buyer
date-timeconfirmedAtstringnullableThe date and time when payment received all expected money from a buyer
date-timecompletedAtstringnullableThe date and time when the merchant received payout
date-timeconfirmationsintegerCurrent confirmation on buyer's tx
int32requiredConfirmationsintegerRequired confirmations on buyer's tx
int32buyerTxIdsstring[]Array of received tx ids from a buyer
buyerTxSpendRequestIdsstring[]Array of received tx `spendRequestId`. These ids are used only for internal transactions
buyerTxHashesstring[]Buyer's tx hashes from a blockchain
fromCurrencystringThe buyer selected currency
toCurrencystringthe currency of the wallet or address into which to payout to
addressstringthe external address into which to pay out
frequencyunknownthe frequency of payments into merchant wallets for the current payment currency
isLifeTimeFinishedbooleanInvoice in finished state more than 90 days
hideShoppingCartbooleanFlag for hiding icon on the checkout app
successUrlstringnullableThe URL to which the buyer will be redirected after successful payment of the invoice
cancelUrlstringnullableThe URL to which the buyer is redirected if the invoice is canceled
